import styled from 'styled-components';
import { setLightness } from 'polished';
export var StyledTrackChunk = styled.div.attrs(function (_ref) {
  var $left = _ref.$left,
    $width = _ref.$width,
    $maxWidth = _ref.$maxWidth;
  return {
    style: {
      left: $left,
      width: $width,
      maxWidth: $maxWidth
    }
  };
}).withConfig({
  displayName: "StyledTrackChunk",
  componentId: "sc-e3cvny-0"
})(["position:absolute;transform:translate(0%,-50%);height:6px;cursor:pointer;background-color:", ";&:not(:first-of-type){&::after{position:absolute;top:0;left:0;content:'';display:inline-block;width:2px;height:22px;background-color:", ";border-radius:6px;}}"], function (_ref2) {
  var $thresholdColor = _ref2.$thresholdColor;
  return setLightness(0.85, $thresholdColor);
}, function (_ref3) {
  var $thresholdColor = _ref3.$thresholdColor;
  return $thresholdColor;
});